import { notFound, redirect } from "next/navigation";
import { getPost } from "../../action";
import { Post } from "../../types";
import Write from "../Write";
import { isLoggedIn } from "../auth";

export default async function WritePage({
  params,
}: {
  params: Promise<{ slug: string[] | undefined }>;
}) {
  if (!(await isLoggedIn())) {
    redirect("/blog/login");
  }

  const slug = (await params).slug?.[0];
  let post: Post | undefined = undefined;
  if (slug) {
    post = (await getPost(slug)) ?? undefined;
    if (post == null) {
      notFound();
    }
  }
  return <Write post={post} />;
}
